pacemaker_1.1.18-0ubuntu1_amd64.deb


Advertisement

Description

pacemaker - cluster resource manager

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Main amd64
Package name pacemaker
Package version 1.1.18
Package release 0ubuntu1
Package architecture amd64
Package type deb
Installed size 1.10 KB
Download size 308.40 KB
Official Mirror archive.ubuntu.com
At its core, Pacemaker is a distributed finite state machine capable of
co-ordinating the startup and recovery of inter-related services across
a set of machines.
Pacemaker understands many different resource types (OCF, SYSV, systemd)
and can accurately model the relationships between them (colocation,
ordering).
It can even use technology such as Docker to automatically isolate the
resources managed by the cluster.
This package contains the Pacemaker daemons directly interacting with
the cluster stack.

Alternatives

Package Version Architecture Repository
pacemaker_1.1.18-0ubuntu1_i386.deb 1.1.18 i386 Ubuntu Main
pacemaker - - -

Requires

Name Value
corosync >= 1.99
dbus -
libc6 >= 2.14
libcfg6 >= 1.99.9
libcib4 >= 1.1.17~rc1
libcmap4 >= 1.99.9
libcorosync-common4 >= 1.99.9
libcpg4 >= 1.99
libcrmcluster4 >= 1.1.15~rc1
libcrmcommon3 >= 1.1.18~rc4
libcrmservice3 >= 1.1.18~rc3
libglib2.0-0 >= 2.28.0
libgnutls30 >= 3.5.3
liblrmd1 >= 1.1.18~rc3
libpam0g >= 0.99.7.1
libpe-rules2 >= 1.1.18~rc3
libpe-status10 >= 1.1.14~rc4
libpengine10 >= 1.1.14~rc4
libqb0 >= 0.17.1
libquorum5 >= 1.99.9
libstonithd2 >= 1.1.9
libtransitioner2 >= 1.1.9
lsb-base >= 3.0-6
pacemaker-common -
pacemaker-resource-agents -
perl:any -

Replaces

Name Value
pacemaker-cli-utils << 1.1.14-2~
pacemaker-remote << 1.1.14-2~

Download

Type URL
Binary Package pacemaker_1.1.18-0ubuntu1_amd64.deb
Source Package pacemaker

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install pacemaker deb package:
    # sudo apt-get install pacemaker

Files

Path
/etc/init.d/pacemaker
/lib/systemd/system/pacemaker.service
/usr/lib/ocf/resource.d/pacemaker/controld
/usr/lib/ocf/resource.d/pacemaker/o2cb
/usr/lib/ocf/resource.d/pacemaker/remote
/usr/lib/pacemaker/attrd
/usr/lib/pacemaker/cib
/usr/lib/pacemaker/cibmon
/usr/lib/pacemaker/crmd
/usr/lib/pacemaker/lrmd
/usr/lib/pacemaker/lrmd_internal_ctl
/usr/lib/pacemaker/pengine
/usr/lib/pacemaker/stonith-test
/usr/lib/pacemaker/stonithd
/usr/sbin/crm_attribute
/usr/sbin/crm_node
/usr/sbin/fence_legacy
/usr/sbin/fence_pcmk
/usr/sbin/pacemakerd
/usr/share/doc/pacemaker/README.markdown
/usr/share/doc/pacemaker/changelog.Debian.gz
/usr/share/doc/pacemaker/copyright
/usr/share/man/man7/crmd.7.gz
/usr/share/man/man7/ocf_pacemaker_controld.7.gz
/usr/share/man/man7/ocf_pacemaker_o2cb.7.gz
/usr/share/man/man7/ocf_pacemaker_remote.7.gz
/usr/share/man/man7/pengine.7.gz
/usr/share/man/man7/stonithd.7.gz
/usr/share/man/man8/crm_attribute.8.gz
/usr/share/man/man8/crm_node.8.gz
/usr/share/man/man8/fence_legacy.8.gz
/usr/share/man/man8/fence_pcmk.8.gz
/usr/share/man/man8/pacemakerd.8.gz

Changelog

2018-04-11 - Nishanth Aravamudan <nish.aravamudan@canonical.com>
pacemaker (1.1.18-0ubuntu1) bionic; urgency=medium
* New upstream release (1.1.18)
- Drop upstreamed patches and refresh others.
- LP: #1763085
2018-01-30 - Nishanth Aravamudan <nish.aravamudan@canonical.com>
pacemaker (1.1.18~rc4-1ubuntu1) bionic; urgency=medium
* Merge with Debian unstable (LP: #1743059). Remaining changes:
- d/control: Demote fence-agents to Suggests, avoiding main
inclusion.
* Drop:
- d/control: Promote crmsh | pcs to Recommends for upgraders from
14.04.
[ Not needed since 16.10 ]
* Properly restart corosync and pacemaker together (LP: #1740892)
- d/pacemaker.preinst: flag corosync to restart pacemaker on
upgrade.
- d/pacemaker.postinst: clear flag unconditionally in case of errors
+ The preinst and postinst changes can be dropped after bionic
releases as long as the other changes are maintained.
- debian/patches/pacemaker_is_partof_corosync.patch: Default systemd
unit hard-requires corosync.  LP #1740892.
2017-11-06 - Ferenc Wágner <wferi@debian.org>
pacemaker (1.1.18~rc4-1) unstable; urgency=medium
* [50dcb19] New upstream pre-release (1.1.18~rc4)
* [053fd40] Remove upstreamed patch, refresh the rest
* [b62df2f] Update symbols files.
All the removed symbols were internal ones.
* [8613fab] The mmogp.com domain has expired
* [7c77ab9] More libqb vs new binutils symbol flux
* [ec3e433] New patch: portability: the difference of time_t values is given
by difftime()
* [5d92e4e] New patch: Include errno codes before augmenting them
* [564d3fa] New patch: Don't include the Linux-specific prctl for no reason
* [bcf2b3e] Drop now-unused Lintian override, #736360 is fixed in 2.5.57
* [b280329] New patch: Fix typo: overriden -> overridden
* [5d0d7b5] New patch: portability: define EKEYREJECTED if necessary
2017-11-03 - Nishanth Aravamudan <nish.aravamudan@canonical.com>
pacemaker (1.1.18~rc3-1ubuntu1) bionic; urgency=medium
* Merge with Debian unstable. Remaining changes:
- d/control: Demote fence-agents to Suggests, avoiding main
inclusion.
- d/control: Promote crmsh | pcs to Recommends for upgraders from
14.04.
2017-10-30 - Ferenc Wágner <wferi@debian.org>
pacemaker (1.1.18~rc3-1) unstable; urgency=medium
* [311badb] Add forgotten Closes to already uploaded changelog
* [04e920e] Update old style gbp.conf section names
* [a273949] Let the package name live in the Debian tag messages
* [3b6cea3] New upstream pre-release (1.1.18~rc3)
* [091b4bc] Refresh our patches
* [e54e643] Remove build dependencies obsoleted by Debhelper 10
* [16be744] Update Standards-Version to 4.1.1 (no changes needed)
* [be6a427] New patch libtransitioner-explicitly-depend-on-liblrmd.patch
libtransitioner: explicitly depend on liblrmd
* [faa8aa8] Ship the newly installed ifspeed resource agent
* [6a773b6] libqb vs new binutils symbol flux
* [706bbfb] Update symbols files.
All the removed symbols were internal ones.
* [1a77058] Remove trailing spaces from old changelog entries
* [63b1381] New patch Fix-typo-ouput-output.patch.
Fix typo: ouput -> output
2017-08-09 - Nishanth Aravamudan <nish.aravamudan@canonical.com>
pacemaker (1.1.17-1ubuntu1) artful; urgency=medium
* Merge with Debian unstable. Remaining changes:
- d/control: Demote fence-agents to Suggests, avoiding main inclusion.
- d/control: Promote crmsh | pcs to Recommends for upgraders from 14.04.

See Also

Package Description
packagekit-docs_1.1.9-1ubuntu2_all.deb Documentation for PackageKit
packagekit-tools_1.1.9-1ubuntu2_amd64.deb Provides PackageKit command-line tools
packagekit_1.1.9-1ubuntu2_amd64.deb Provides a package management service
paramiko-doc_2.0.0-1ubuntu1_all.deb Make ssh v2 connections with Python (Documentation)
parted-doc_3.2-20_all.deb disk partition manipulator - documentation
parted_3.2-20_amd64.deb disk partition manipulator
passwd_4.5-1ubuntu1_amd64.deb change and administer password and group data
pastebinit_1.5-2_all.deb command-line pastebin client
patch_2.7.6-2ubuntu1_amd64.deb Apply a diff file to an original
patchutils_0.3.4-2_amd64.deb Utilities to work with patches
pax_20171021-2_amd64.deb Portable Archive Interchange (cpio, pax, tar)
pbuilder_0.229.1_all.deb personal package builder for Debian packages
pciutils_3.5.2-1ubuntu1_amd64.deb Linux PCI Utilities
pcmciautils_018-8build1_amd64.deb PCMCIA utilities for Linux 2.6
perl-base_5.26.1-6_amd64.deb minimal Perl system
Advertisement
Advertisement